openvpn: update to 2.4.5
[openwrt/openwrt.git] / package / network / services / openvpn / patches / 100-mbedtls-disable-runtime-version-check.patch
1 --- a/src/openvpn/ssl_mbedtls.c
2 +++ b/src/openvpn/ssl_mbedtls.c
3 @@ -1394,7 +1394,7 @@ const char *
4 get_ssl_library_version(void)
5 {
6 static char mbedtls_version[30];
7 - unsigned int pv = mbedtls_version_get_number();
8 + unsigned int pv = MBEDTLS_VERSION_NUMBER;
9 sprintf( mbedtls_version, "mbed TLS %d.%d.%d",
10 (pv>>24)&0xff, (pv>>16)&0xff, (pv>>8)&0xff );
11 return mbedtls_version;